Subject: Re: [PATCH bpf-next v3 03/16] xdp: add proper __rcu annotations to redirect map entries

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Tue, 22 Jun 2021 23:48:26 +0200

"Paul E. McKenney" <[email-masked]> writes:

> On Tue, Jun 22, 2021 at 03:55:25PM +0200, Toke Høiland-Jørgensen wrote:
>> Toke Høiland-Jørgensen <[email-masked]> writes:
>> 
>> >> It would also be great if this scenario in general could be placed
>> >> under the Documentation/RCU/whatisRCU.rst as an example, so we could
>> >> refer to the official doc on this, too, if Paul is good with this.
>> >
>> > I'll take a look and see if I can find a way to fit it in there...
>> 
>> OK, I poked around in Documentation/RCU and decided that the most
>> natural place to put this was in checklist.rst which already talks about
>> local_bh_disable(), but a bit differently. Fixing that up to correspond
>> to what we've been discussing in this thread, and adding a mention of
>> XDP as a usage example, results in the patch below.
>> 
>> Paul, WDYT?
>
> I think that my original paragraph needed to have been updated back
> when v4.20 came out.  And again when RCU Tasks Trace came out.  ;-)
>
> So I did that updating, then approximated your patch on top of it,
> as shown below.  Does this work for you?

Yup, LGTM, thanks! Shall I just fold that version into the next version
of my series, or do you want to take it through your tree (I suppose
it's independent of the rest, so either way is fine by me)?

-Toke